Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblemData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblemData.cs	(revision 9448)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ClassificationProblemData.cs	(revision 9449)
@@ -311,5 +311,5 @@
                                     .Distinct()
                                     .Count()
-                                  where distinctValues < MaximumNumberOfClasses
+                                  where distinctValues <= MaximumNumberOfClasses
                                   select v).ToArray();
 
Index: /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis.Views/3.3/DataAnalysisImportTypeDialog.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis.Views/3.3/DataAnalysisImportTypeDialog.Designer.cs	(revision 9448)
+++ /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis.Views/3.3/DataAnalysisImportTypeDialog.Designer.cs	(revision 9449)
@@ -90,5 +90,5 @@
       // OkButton
       // 
-      this.OkButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.OkButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.OkButton.DialogResult = System.Windows.Forms.DialogResult.OK;
       this.OkButton.Enabled = false;
@@ -102,5 +102,5 @@
       // TrainingTestTrackBar
       // 
-      this.TrainingTestTrackBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.TrainingTestTrackBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.TrainingTestTrackBar.Location = new System.Drawing.Point(6, 43);
@@ -166,5 +166,5 @@
       // ProblemTextBox
       // 
-      this.ProblemTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.ProblemTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.ProblemTextBox.Location = new System.Drawing.Point(91, 6);
@@ -180,7 +180,8 @@
       // DateTimeFormatComboBox
       // 
-      this.DateTimeFormatComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.DateTimeFormatComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.DateTimeFormatComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.DateTimeFormatComboBox.Enabled = false;
       this.DateTimeFormatComboBox.FormattingEnabled = true;
       this.DateTimeFormatComboBox.Location = new System.Drawing.Point(111, 73);
@@ -192,7 +193,8 @@
       // DecimalSeparatorComboBox
       // 
-      this.DecimalSeparatorComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.DecimalSeparatorComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.DecimalSeparatorComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.DecimalSeparatorComboBox.Enabled = false;
       this.DecimalSeparatorComboBox.FormattingEnabled = true;
       this.DecimalSeparatorComboBox.Location = new System.Drawing.Point(111, 46);
@@ -231,7 +233,8 @@
       // SeparatorComboBox
       // 
-      this.SeparatorComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.SeparatorComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.SeparatorComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.SeparatorComboBox.Enabled = false;
       this.SeparatorComboBox.FormattingEnabled = true;
       this.SeparatorComboBox.Location = new System.Drawing.Point(111, 19);
@@ -243,5 +246,5 @@
       // CSVSettingsGroupBox
       // 
-      this.CSVSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.CSVSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.CSVSettingsGroupBox.Controls.Add(this.DateTimeFormatInfoLabel);
@@ -299,6 +302,6 @@
       // ProblemDataSettingsGroupBox
       // 
-      this.ProblemDataSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.ProblemDataSettingsGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.ProblemDataSettingsGroupBox.Controls.Add(this.ErrorTextBox);
@@ -324,4 +327,5 @@
       this.ErrorTextBox.Size = new System.Drawing.Size(435, 73);
       this.ErrorTextBox.TabIndex = 0;
+      this.ErrorTextBox.Text = "Open a CSV File";
       this.ErrorTextBox.Visible = false;
       // 
@@ -348,6 +352,6 @@
       // PreviewDatasetMatrix
       // 
-      this.PreviewDatasetMatrix.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.PreviewDatasetMatrix.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.PreviewDatasetMatrix.Caption = "Dataset Preview";
@@ -367,5 +371,4 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.ClientSize = new System.Drawing.Size(471, 442);
-      this.ControlBox = false;
       this.Controls.Add(this.ProblemDataSettingsGroupBox);
       this.Controls.Add(this.CSVSettingsGroupBox);
Index: /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis.Views/3.3/DataAnalysisImportTypeDialog.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis.Views/3.3/DataAnalysisImportTypeDialog.cs	(revision 9448)
+++ /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis.Views/3.3/DataAnalysisImportTypeDialog.cs	(revision 9449)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Globalization;
+using System.IO;
 using System.Linq;
 using System.Windows.Forms;
@@ -38,13 +39,14 @@
     };
 
-    public static readonly List<KeyValuePair<char, string>> POSSIBLE_SEPARATORS = new List<KeyValuePair<char, string>>{
-      new KeyValuePair<char, string>(',', ", (Comma)" ),
+    public static readonly List<KeyValuePair<char, string>> POSSIBLE_SEPARATORS = new List<KeyValuePair<char, string>>{  
       new KeyValuePair<char, string>(';', "; (Semicolon)" ),
-      new KeyValuePair<char, string>('\t', "\\t (Tab)")
+      new KeyValuePair<char, string>(',', ", (Comma)" ),    
+      new KeyValuePair<char, string>('\t', "\\t (Tab)"),
+      new KeyValuePair<char, string>(' ', "' ' (Space)" )
     };
 
     public static readonly List<KeyValuePair<NumberFormatInfo, string>> POSSIBLE_DECIMAL_SEPARATORS = new List<KeyValuePair<NumberFormatInfo, string>>{
-      new KeyValuePair<NumberFormatInfo, string>(NumberFormatInfo.InvariantInfo, ". (Period)" ),
-      new KeyValuePair<NumberFormatInfo, string>(NumberFormatInfo.GetInstance(new CultureInfo("de-DE")), ", (Comma)" )      
+      new KeyValuePair<NumberFormatInfo, string>(NumberFormatInfo.GetInstance(new CultureInfo("de-DE")), ", (Comma)"),
+      new KeyValuePair<NumberFormatInfo, string>(NumberFormatInfo.InvariantInfo, ". (Period)" )    
     };
 
@@ -94,4 +96,7 @@
       if (openFileDialog.ShowDialog(this) != DialogResult.OK) return;
 
+      SeparatorComboBox.Enabled = true;
+      DecimalSeparatorComboBox.Enabled = true;
+      DateTimeFormatComboBox.Enabled = true;
       ProblemTextBox.Text = openFileDialog.FileName;
       ParseCSVFile();
@@ -122,7 +127,11 @@
       }
       catch (Exception ex) {
-        OkButton.Enabled = false;
-        ErrorTextBox.Text = ex.Message;
-        ErrorTextBox.Visible = true;
+        if (ex is IOException || ex is InvalidOperationException || ex is ArgumentException || ex is TableFileParser.DataFormatException) {
+          OkButton.Enabled = false;
+          ErrorTextBox.Text = ex.Message;
+          ErrorTextBox.Visible = true;
+        } else {
+          throw;
+        }
       }
     }
Index: /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/TableFileParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/TableFileParser.cs	(revision 9448)
+++ /trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/TableFileParser.cs	(revision 9449)
@@ -33,5 +33,5 @@
   public class TableFileParser {
     private const int BUFFER_SIZE = 65536;
-    private static readonly char[] POSSIBLE_SEPARATORS = new char[] { ',', ';', '\t' };
+    private static readonly char[] POSSIBLE_SEPARATORS = new char[] { ',', ';', '\t', ' ' };
     private Tokenizer tokenizer;
     private List<List<object>> rowValues;
@@ -457,5 +457,5 @@
 
     [Serializable]
-    private class DataFormatException : Exception {
+    public class DataFormatException : Exception {
       private int line;
       public int Line {
Index: /trunk/sources/HeuristicLab.Problems.Instances.Views/3.3/ProblemInstanceConsumerViewGeneric.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Instances.Views/3.3/ProblemInstanceConsumerViewGeneric.cs	(revision 9448)
+++ /trunk/sources/HeuristicLab.Problems.Instances.Views/3.3/ProblemInstanceConsumerViewGeneric.cs	(revision 9449)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Problems.Instances.Views {
   [View("ProblemInstanceConsumerView")]
-  [Content(typeof(IProblemInstanceConsumer<>), IsDefaultView = true)]
+  [Content(typeof(IProblemInstanceConsumer<>), IsDefaultView = false)]
   public partial class ProblemInstanceConsumerViewGeneric<T> : ProblemInstanceConsumerView {
 